Bug 1802242 - Memory leak in nagios
Summary: Memory leak in nagios
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nagios
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 17:18 UTC by Gilbert Cahute
Modified: 2021-02-20 00:05 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github NagiosEnterprises nagioscore issues 664 0 None closed Memory leak when using event broker 2021-02-06 17:57:40 UTC

Description Gilbert Cahute 2020-02-12 17:18:39 UTC
We are experiencing a memory leak in nagios when using external brokers.


Description of problem:
The nagios process will grow into several gigabytes of RSS over time, eventually needing to be restarted and force kernel to drop caches
( sysctl -w vm.drop_caches=1 )

Version-Release number of selected component (if applicable):
Name        : nagios
Arch        : x86_64
Version     : 4.4.3
Release     : 1.el7

How reproducible:
Always.

Steps to Reproduce:
1. Use mod_german external broker,
2. Monitor memory usage over time,

Actual results:
Nagios process' memory grows over time, then uses swap.

Expected results:
The nagios process memory usage should remain stable after a temporary startup stage.

Additional info:
Linked comment shows upstream resolution, "added to the 4.4.4 milestone on Jul 24, 2019" but 4.4.5 may be a better candidate ^^

Comment 1 Stephen John Smoogen 2020-02-18 16:02:59 UTC
I will put 4.4.5 into EPEL-7 soon.

Comment 2 Fedora Update System 2020-02-18 18:52:36 UTC
FEDORA-EPEL-2020-ba137d7748 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ba137d7748

Comment 3 Fedora Update System 2020-02-19 02:59:14 UTC
nagios-4.4.5-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ba137d7748

Comment 4 Fedora Update System 2020-02-29 04:19:02 UTC
FEDORA-EPEL-2020-dbdd968fc0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-dbdd968fc0

Comment 5 Fedora Admin user for bugzilla script actions 2020-08-18 14:57:38 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 6 Fedora Admin user for bugzilla script actions 2021-02-20 00:05:30 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.